//<?php
/**
 * @brief		Hook on class `\IPS\Theme\class_core_front_global`
 * @author		<a href='https://invisionbyte.net'>Terabyte - Invision Byte</a>
 * @copyright	(c) Invision Byte
 * @package		(TB) QR Code Share Service
 * @since		1.0.0
 */

/* To prevent PHP errors (extending class does not exist) revealing path */
if ( !\defined( '\IPS\SUITE_UNIQUE_KEY' ) )
{
	exit;
}

/**
 * @mixin \IPS\Theme\class_core_front_global
 */
class tbqcss_hook_tbqcssThemeCoreFrontGlobal extends _HOOK_CLASS_
{

/* !Hook Data - DO NOT REMOVE */
public static function hookData() {
 return array_merge_recursive( array (
  'sharelinks' => 
  array (
    0 => 
    array (
      'selector' => 'ul.ipsList_inline',
      'type' => 'add_after',
      'content' => '{template="qrcodeImage" params="$item" group="sharelink" location="front" app="tbqcss"}',
    ),
  ),
), parent::hookData() );
}
/* End Hook Data */


}
